For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
              • GETList Customs Information
              • PUTUpsert Customs Information
              • DELDelete Customs Information
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementShippingV3Customs Information

List Customs Information

GET
https://api.bigcommerce.com/stores/:store_hash/v3/shipping/products/customs-information
GET
/stores/:store_hash/v3/shipping/products/customs-information
$curl https://api.bigcommerce.com/stores/store_hash/v3/shipping/products/customs-information \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200Retrieved
1{
2 "data": [
3 {
4 "product_id": 77,
5 "country_of_origin": "US",
6 "commodity_description": "Baseball caps",
7 "international_shipping": true,
8 "hs_codes": {
9 "ALL": "501000",
10 "CA": "508313",
11 "US": "641000",
12 "AU": "817355"
13 },
14 "created_at": {},
15 "updated_at": {}
16 }
17 ],
18 "meta": {
19 "pagination": {
20 "total": 3,
21 "count": 1,
22 "per_page": 1,
23 "current_page": 2,
24 "total_page": 3,
25 "links": {
26 "previous": "?limit=1&page=1",
27 "next": "?limit=1&page=3",
28 "current": "?limit=1&page=2"
29 }
30 }
31 }
32}
Get customs information for products. This list can be filtered to return customs information objects specific to a list of requested product_ids. This is achieved by appending the query string `?product_id:in=4,5,6` to the resource `/shipping/products/customs-information`. ```http GET /shipping/products/customs-information?product_id:in=4,5,6 ```
Was this page helpful?
Previous

Shipping V2

Next

Upsert Customs Information

Built with

Get customs information for products.

This list can be filtered to return customs information objects specific to a list of requested product_ids. This is achieved by appending the query string ?product_id:in=4,5,6 to the resource /shipping/products/customs-information.

1GET /shipping/products/customs-information?product_id:in=4,5,6

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

product_id:inlist of integersOptional

A comma-separated list of product IDs. For more information, see Filtering.

pageintegerOptional
limitintegerOptional

Response

datalist of objects
metaobject
Meta data relating to pagination.

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.